Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.jdbc.datasource
Class SimpleDriverDataSource

    java.lang.Object
      org.springframework.jdbc.datasource.AbstractDataSource
          org.springframework.jdbc.datasource.AbstractDriverBasedDataSource
              org.springframework.jdbc.datasource.SimpleDriverDataSource

All Implemented Interfaces:
  Wrapper, CommonDataSource, DataSource

    public class SimpleDriverDataSource

extends AbstractDriverBasedDataSource

Simple implementation of the standard JDBC `DataSource` interface, configuring a plain old JDBC `Driver` via bean properties, and returning a new `Connection` from every `getConnection` call.

NOTE: This class is not an actual connection pool; it does not actually pool Connections. It just serves as simple replacement for a full-blown connection pool, implementing the same standard interface, but creating new Connections on every call.

In a J2EE container, it is recommended to use a JNDI DataSource provided by the container. Such a DataSource can be exposed as a DataSource bean in a Spring ApplicationContext via `JndiObjectFactoryBean`, for seamless switching to and from a local DataSource bean like this class.

If you need a "real" connection pool outside of a J2EE container, consider Apache's Jakarta Commons DBCP or C3P0. Commons DBCP's BasicDataSource and C3P0's ComboPooledDataSource are full connection pool beans, supporting the same basic properties as this class plus specific settings (such as minimal/maximal pool size etc).

Since:
  2.5.5
Author:
  Juergen Hoeller
See Also:
  `DriverManagerDataSource`

Field Summary

Fields inherited from class org.springframework.jdbc.datasource.AbstractDataSource
`logger`

Constructor Summary
`SimpleDriverDataSource()` Constructor for bean-style configuration.
`SimpleDriverDataSource(Driver driver, String url)` Create a new DriverManagerDataSource with the given standard Driver parameters.
`SimpleDriverDataSource(Driver driver, String url, Properties conProps)` Create a new DriverManagerDataSource with the given standard Driver parameters.
`SimpleDriverDataSource(Driver driver, String url, String username, String password)` Create a new DriverManagerDataSource with the given standard Driver parameters.

Method Summary
`protected Connection` | `getConnectionFromDriver(Properties props)` Obtain a Connection using the given properties.
`Driver` | `getDriver()` Return the JDBC Driver instance to use.
`void` | `setDriver(Driver driver)` Specify the JDBC Driver instance to use.
`void` | `setDriverClass(Class driverClass)` Specify the JDBC Driver implementation class to use.

Methods inherited from class org.springframework.jdbc.datasource.AbstractDriverBasedDataSource
`getConnection, getConnection, getConnectionFromDriver, getConnectionProperties, getPassword, getUrl, getUsername, setConnectionProperties, setPassword, setUrl, setUsername`

Methods inherited from class org.springframework.jdbc.datasource.AbstractDataSource
`getLoginTimeout, getLogWriter, isWrapperFor, setLoginTimeout, setLogWriter, unwrap`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleDriverDataSource

    public SimpleDriverDataSource()

  Constructor for bean-style configuration.

### SimpleDriverDataSource

    public SimpleDriverDataSource(Driver driver,
                                  String url)

  Create a new DriverManagerDataSource with the given standard Driver parameters.

  Parameters:
    `driver` - the JDBC Driver object
    `url` - the JDBC URL to use for accessing the DriverManager
  See Also:
    `Driver.connect(String, java.util.Properties)`

### SimpleDriverDataSource

    public SimpleDriverDataSource(Driver driver,
                                  String url,
                                  String username,
                                  String password)

  Create a new DriverManagerDataSource with the given standard Driver parameters.

  Parameters:
    `driver` - the JDBC Driver object
    `url` - the JDBC URL to use for accessing the DriverManager
    `username` - the JDBC username to use for accessing the DriverManager
    `password` - the JDBC password to use for accessing the DriverManager
  See Also:
    `Driver.connect(String, java.util.Properties)`

### SimpleDriverDataSource

    public SimpleDriverDataSource(Driver driver,
                                  String url,
                                  Properties conProps)

  Create a new DriverManagerDataSource with the given standard Driver parameters.

  Parameters:
    `driver` - the JDBC Driver object
    `url` - the JDBC URL to use for accessing the DriverManager
    `conProps` - JDBC connection properties
  See Also:
    `Driver.connect(String, java.util.Properties)`

Method Detail

### setDriverClass

    public void setDriverClass(Class driverClass)

  Specify the JDBC Driver implementation class to use.

  An instance of this Driver class will be created and held within the SimpleDriverDataSource.

  See Also:
    `setDriver(java.sql.Driver)`

### setDriver

    public void setDriver(Driver driver)

  Specify the JDBC Driver instance to use.

  This allows for passing in a shared, possibly pre-configured Driver instance.

  See Also:
    `setDriverClass(java.lang.Class)`

### getDriver

    public Driver getDriver()

  Return the JDBC Driver instance to use.

### getConnectionFromDriver

    protected Connection getConnectionFromDriver(Properties props)
                                          throws SQLException

  Description copied from class: `AbstractDriverBasedDataSource`
  Obtain a Connection using the given properties.

  Template method to be implemented by subclasses.

  Specified by:
    `getConnectionFromDriver` in class `AbstractDriverBasedDataSource`
  Parameters:
    `props` - the merged connection properties
  Returns:
    the obtained Connection
  Throws:
    `SQLException` - in case of failure

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2008 The Spring Framework.